Bug 50688 - insertion of 3CCFE575CT fails on ThinkPad i1441
insertion of 3CCFE575CT fails on ThinkPad i1441
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-02 01:16 EDT by brian
Modified: 2015-01-04 17:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:06:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brian 2001-08-02 01:16:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)

Description of problem:
On a clean installation of RedHat 7.1 (Laptop option) on a ThinkPad i1441, 
the card is not initialized properly. Kernel error messages appear on the 
console and the card's MAC address is shown as FF:FF:FF:FF:FF:FF.

How reproducible:
Always

Steps to Reproduce:
1. Boot system
2. Insert card (card insertion is not detected automatically on start)
3. invoke cardctl insert as root (sometimes; first card insertion after 
boot is sometimes not autodetected by cardmgr).
	

Actual Results:  Two beeps (signalling insertion?) followed by the message 
on the console:

PCI: Failed to allocate resource 0 for PCI device 10b7:5257
got res[14800000:1480007f] for resource 1 of PCI device 10b7:5257
got res[14800080:148000ff] for resource 2 of PCI device 10b7:5257
got res[14400000:1441ffff] for resource 6 of PCI device 10b7:5257
PCI: Enabling device 02:00.0 (0000 -> 0003)
 ff:ff:ff:ff:ff:ff, IRQ 9

Expected Results:  successful card insertion and eth0 device 
initialization.

Additional info:

CardBus bridge is shown in /proc/pci as O2 Micro, Inc. OZ6812 Cardbus 
Controller (rev5).

cardctl ident returns:
Socket 0:
  product info: "3Com Corporation", "3CCFE575CT", "LAN Cardbus Card", "004"
  manfid: 0x0101, 0x5257
  function: 6 (network)

Card worked properly in same machine only minutes earlier under RedHat 
7.0/kernel 2.2
Comment 1 Steve Bonneville 2001-08-22 10:03:07 EDT
I have a student at Meridian this week who is seeing this same problem on
similar hardware.  Laptop is a Gateway Solo 9100XL, card is 3C575A.  Worked 
fine under 7.0 with 2.2.19, broken under 7.1 with 2.4.2-2 and 2.4.3-12.

We noticed that the network driver was 3c575_cb under 7.0, and is now 3c59x
under 7.1, according to /etc/modules.conf.

CardBus bridge is a CirrusLogic PD 6832.
Output from cardctl:
  product info: "3Com Corporation", "3C575A", "Fast EtherLink XL PC Card", "001"
  manfid: 0x0101, 0x5057
  function: 6 (network)

My student, "Doc" Savage, should be contacted at dsavage@peaknet.net.

Comment 2 Tom "spot" Callaway 2001-08-23 13:13:09 EDT
Full specs for Doc's laptop (wrt pcmcia):

00:0a.0 CardBus bridge: Cirrus Logic PD 6832 (rev c1)
        Flags: bus master, medium devsel, latency 168, IRQ 10
        Memory at 10000000 (32-bit, non-prefetchable)
        Bus: primary=00, secondary=01. subordinate=04, sec-latency=176
        Memory window 0: 10400000-107ff000
        Memory window 1: 10800000-10bff000
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        16-bit legacy interface ports at 0001

00.0a.1 CardBus bridge: Cirrus Logic PD 6832 (rev c1)
        Flags: bus master, medium devsel, latency 168, IRQ 10
        Memory at 10000000 (32-bit, non-prefetchable)
        Bus: primary=00, secondary=01. subordinate=04, sec-latency=176
        Memory window 0: 10c00000-10fff000
        Memory window 1: 11000000-113ff000
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003 
----

This card works just fine on my Dell Inspiron 4000 with a Texas Instruments
PCMCIA bridge, and other cards besides the 3com work correctly on the Gateway's
Cirrus Logic PCMCIA bridge.
Comment 4 Chris Kloiber 2001-09-19 23:36:51 EDT
I just got an email from Doc stating that the NIC now works on that machine
after upgrading to kernel-2.4.9-0.5 from Rawhide.

Note You need to log in before you can comment on or make changes to this bug.